#include "Winsock2.h"
#include "Windows.h"
#include "scripts.h"
#include "engine.h"

extern "C" 
{
	#include "LuaLib\lua.h"
	#include "LuaLib\lualib.h"
	#include "LuaLib\lauxlib.h"
}
#include "sqlite3.h"


#include "Misc.h"
#include "LuaManager.h"
#include "Lua_Class.h"
#include "time.h"

#define method(class, name) {#name, class::name}
/*
const luaL_reg LuaBox::methods[] = {
  method(LuaBox, GetCenter),
  method(LuaBox, SetCenter),
  method(LuaBox, GetExtent),
  method(LuaBox, SetExtent),
  {0,0}
};
*/

const luaL_reg Lua_sqlite_wrapper::methods[] = {
  method(Lua_sqlite_wrapper, Query),
  {0,0}
};


